For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
LoginSandbox
Platform GuidesAPI DocsSDKMCP ServerChangelog
Platform GuidesAPI DocsSDKMCP ServerChangelog
  • Solvimon API
    • Base URL
    • Authentication
    • HTTP status codes
    • Resources
    • Standardisation
  • Configuration API
      • GETGet all the approval policies.
      • POSTCreate a new Approval Policy
      • GETGet approval policy.
      • DELDelete an approval policy by resource ID
      • PATCHUpdate an approval policy
      • POSTActivate approval policy
      • POSTDeprecate approval policy
      • POSTArchive approval policy
  • Identity API
  • Transaction API
  • Event API
LoginSandbox
Configuration APIApproval Policy

Get all the approval policies.

GET
/v:version/approval-policies
GET
/v:version/approval-policies
$curl https://test.api.solvimon.com/v1/approval-policies \
> -H "X-API-KEY: <apiKey>"
1{
2 "data": [
3 {
4 "object_type": "string",
5 "id": "string",
6 "source_type": "QUOTE_VERSION",
7 "reference": "string",
8 "name": "string",
9 "status": "DRAFT",
10 "approval_type": "GROUP",
11 "created_at": "string",
12 "update_at": "string",
13 "approvers": {
14 "type": "ALL_LEVELS_MUST_APPROVE",
15 "approval_groups": [
16 {
17 "level": 1,
18 "approvers": [
19 {
20 "type": "USER",
21 "user": {
22 "id": "string"
23 }
24 }
25 ]
26 }
27 ]
28 },
29 "rule_groups": [
30 {
31 "rules": [
32 {
33 "type": "ALWAYS_APPROVE",
34 "comparator": "LESS_THAN",
35 "discount": {
36 "percentage": "string",
37 "amount": {
38 "quantity": "string",
39 "currency": "AED"
40 }
41 },
42 "commitment": {
43 "amount": {
44 "quantity": "string",
45 "currency": "AED"
46 }
47 },
48 "pricing": {
49 "has_override": true
50 },
51 "custom_field": {
52 "id": "string",
53 "value": "string"
54 },
55 "billing_entity": {
56 "is_custom": true
57 },
58 "billing_period": {
59 "is_custom": true
60 },
61 "due_date": {
62 "is_custom": true
63 },
64 "payment_acceptor": {
65 "is_custom": true
66 }
67 }
68 ]
69 }
70 ]
71 }
72 ]
73}

Requires the APPROVAL_POLICY.VIEW permission.

Was this page helpful?
Previous

Create a new Approval Policy

Next
Built with

Authentication

X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

versionstringRequiredDefaults to 1
version

Headers

x-platform-idstringOptional
Platform ID.

Query parameters

limitintegerOptional
The amount of records shown in the list
pageintegerOptional
The page which is going to be shown
order_bystringOptional
The parameter by which the response is ordered.
order_directionstringOptional
The order direction by which the response is ordered.

Response

OK
datalist of objects

Errors

401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error